;
; Example CUTPASTE specification file
;

; Example of assigning values to symobls

.SET TRUE 1                             ; create symbols for TRUE, FALSE
.SET FALSE 0

; Example of assigning a defined symbol to a symbol

.SET COLORENABLE TRUE                   ; Enable or disable BOOM support

; Create two simple cut/paste textures

SILVGOLD 64 64 (.)                      ; create 64X64 .\SILVGOLD.BMP
* AG128_1 0 0 96 (.)                    ; upper half silver at light level 96
* RW43_1 0 0 (.)                        ; upper half bars over silver
* 3G_SHAWN 16 16 128 16 16 32 32 (.)    ; 32X32 gold square at 16,16 light 128
* HELLO 0 24 (.) =\|\gHELLO             ; green letters HELLO centered, y=24

GOLDSILV 64 64 (.)                      ; create 64X64 .\GOLDSILV.BMP
* 3G_SHAWN 0 0 (.)                      ; upper half gold at light level 255
* RW43_1 0 0 255 0 64 64 64 (.)         ; lower half bars over gold
* AG128_1 16 16 255 16 16 32 32 (.)     ; 32X32 silver square at 16,16

; An example of using previous outputs in CP descriptions

BOTH 64 128 (.)                         ; create 64X128 .\BOTH.BMP
* SILVGOLD 0 0 (.)                      ; upper half SILVGOLD
* GOLDSILV 0 64 (.)                     ; lower half GOLDSILV

; An example of conditionally tinting a texture thru a custom colormap
; Note also the specification of a command line option

.IF COLORENABLE                         ; if BOOM supported
.OPTION /W:COLMAPS.WAD                  ; read custom colormaps
.COLORMAP REDMAP                        ; set red tinted colormap
.ENDIF                                  ; end BOOM condition

HOTMET 64 128 (.)                       ; define 64X128 .\HOTMET.BMP
* AG128_1 0 0 (.)                       ; red tinted if BOOM silver BMP
.COLORMAP                               ; reset to DOOM colormap

; An example of turning a multipatch texture into a single patch texture

WOOD1 256 128 (.)                       ; make the WOOD1 texture into a BMP
* WALL40_1 0 0 (.)                      ; identical syntax to texture
* WALL40_2 128 0 (.)                    ; description

; An example of darkening a texture

DARKWOOD 256 128 (.)                    ; make a darker WOOD1
* WOOD1 0 0 128 (.)                     ; specify 128 = half light

; Two examples of drawing textures with a level editor

4HOLE 256 128 (.)                       ; define 256X128 .\4HOLE.BMP
@ HOLE 0 0 (.)                          ; render the wad .\HOLE.WAD as BMP

BANG1 256 128 (.)
@ BANG1 0 0 (.)

